package com.ruoyi.system.domain.fgw;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_进展情况对象 fgw_jzqk
 * 
 * @author boman
 * @date 2023-03-22
 */
public class FgwJzqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 进展情况 */
    @Excel(name = "进展情况")
    private String jzqk;

    /** 施工力量 */
    @Excel(name = "施工力量")
    private String sgll;

    /** 汇报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "汇报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hbTime;

    private List<FgwFj> fjList;

    /** 是否建设 N否 Y是 */
    @Excel(name = "是否建设 N否 Y是")
    private String isJs;
    /** 是否完成节点 N否 Y是 */
    @Excel(name = "是否完成节点 N否 Y是")
    private String isJd;

    /** 是否纳统 N否 Y是 */
    @Excel(name = "是否纳统 N否 Y是")
    private String isNt;
    /** 是否竣工 N否 Y是 */
    @Excel(name = "是否竣工 N否 Y是")
    private String isJg;

    /** 纳统投资 */
    @Excel(name = "纳统投资")
    private String nttz;
    /**
     * 是否审核
     */
    private String isSh;

    public String getIsJd() {
        return isJd;
    }

    public void setIsJd(String isJd) {
        this.isJd = isJd;
    }

    public String getIsJg() {
        return isJg;
    }

    public void setIsJg(String isJg) {
        this.isJg = isJg;
    }

    /** 节点ID */
    private Long jdId;

    public Long getJdId() {
        return jdId;
    }

    public void setJdId(Long jdId) {
        this.jdId = jdId;
    }

    public String getIsSh() {
        return isSh;
    }

    public void setIsSh(String isSh) {
        this.isSh = isSh;
    }

    public String getIsJs() {
        return isJs;
    }

    public void setIsJs(String isJs) {
        this.isJs = isJs;
    }

    public String getIsNt() {
        return isNt;
    }

    public void setIsNt(String isNt) {
        this.isNt = isNt;
    }

    public String getNttz() {
        return nttz;
    }

    public void setNttz(String nttz) {
        this.nttz = nttz;
    }

    public List<FgwFj> getFjList() {
        return fjList;
    }

    public void setFjList(List<FgwFj> fjList) {
        this.fjList = fjList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setJzqk(String jzqk) 
    {
        this.jzqk = jzqk;
    }

    public String getJzqk() 
    {
        return jzqk;
    }
    public void setSgll(String sgll) 
    {
        this.sgll = sgll;
    }

    public String getSgll() 
    {
        return sgll;
    }
    public void setHbTime(Date hbTime) 
    {
        this.hbTime = hbTime;
    }

    public Date getHbTime() 
    {
        return hbTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("jzqk", getJzqk())
            .append("sgll", getSgll())
            .append("hbTime", getHbTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
